Package org.eclipse.birt.report.model.api.metadata

# Interface IArgumentInfo

All Known Implementing Classes:
  `ArgumentInfo`, `ArgumentInfo`

public interface IArgumentInfo
Represents the definition of argument. The argument definition includes the data type, internal name, and display name.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`OPTIONAL_ARGUMENT_NAME`
Argument name for optional argument.

## Method Summary

Modifier and Type
Method
Description
`IClassInfo`
`getClassType()`
Returns the argument type in Class.
`String`
`getDisplayName()`
Returns the display name for the property if the resource key of display name is defined.
`String`
`getDisplayNameKey()`
Returns the resource key for the display name.
`String`
`getName()`
Returns the internal name for the argument.
`String`
`getType()`
Returns the argument type in string.

## Field Details

### OPTIONAL_ARGUMENT_NAME

static final String OPTIONAL_ARGUMENT_NAME
Argument name for optional argument. The optional argument is used for the method with variable argument. For example, concat( str1, ... ). The argument is just an indication that it's optional, and takes information from the previous one. Its display name is "...".

See Also:
  - Constant Field Values

## Method Details

### getName

String getName()
Returns the internal name for the argument.

Returns:
  the internal (non-localized) name for the argument

### getDisplayName

String getDisplayName()
Returns the display name for the property if the resource key of display name is defined. Otherwise, return empty string.

Returns:
  the user-visible, localized display name for the property

### getDisplayNameKey

String getDisplayNameKey()
Returns the resource key for the display name.

Returns:
  The display name message ID.

### getType

String getType()
Returns the argument type in string.

Returns:
  the script type

### getClassType

IClassInfo getClassType()
Returns the argument type in Class.

Returns:
  the argument type